<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>InstallExecutable (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="InstallExecutable (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/nativeplatform/tasks/CreateStaticLibrary.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/nativeplatform/tasks/LinkExecutable.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/nativeplatform/tasks/InstallExecutable.html" target="_top">Frames</a></li>
<li><a href="InstallExecutable.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.nativeplatform.tasks</div>
<h2 title="Class InstallExecutable" class="title">Class InstallExecutable</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.nativeplatform.tasks.InstallExecutable</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">InstallExecutable</span>
extends <a href="../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">DefaultTask</a></pre>
<div class="block">Installs an executable with it's dependent libraries so it can be easily executed.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#InstallExecutable(org.gradle.internal.work.WorkerLeaseService)">InstallExecutable</a></strong>(org.gradle.internal.work.WorkerLeaseService&nbsp;workerLeaseService)</code>
<div class="block">Injects a <code>WorkerLeaseService</code> instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#getDestinationDir()">getDestinationDir</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#getExecutable()">getExecutable</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.api.internal.file.FileOperations</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#getFileOperations()">getFileOperations</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.internal.nativeintegration.filesystem.FileSystem</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#getFileSystem()">getFileSystem</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file">DirectoryVar</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#getInstallDirectory()">getInstallDirectory</a></strong>()</code>
<div class="block">The directory to install files into.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#getLibs()">getLibs</a></strong>()</code>
<div class="block">The library files that should be installed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#getPlatform()">getPlatform</a></strong>()</code>
<div class="block">The platform describing the install target.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#getRunScript()">getRunScript</a></strong>()</code>
<div class="block">Returns the script file that can be used to run the install image.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/RegularFileVar.html" title="interface in org.gradle.api.file">RegularFileVar</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#getSourceFile()">getSourceFile</a></strong>()</code>
<div class="block">The executable file to install.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/platform/base/ToolChain.html" title="interface in org.gradle.platform.base">ToolChain</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#getToolChain()">getToolChain</a></strong>()</code>
<div class="block">The tool chain used for linking.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#install()">install</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#lib(java.lang.Object)">lib</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;libs)</code>
<div class="block">Adds a set of library files to be installed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#setDestinationDir(java.io.File)">setDestinationDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;destinationDir)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#setDestinationDir(org.gradle.api.provider.Provider)">setDestinationDir</a></strong>(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a>&gt;&nbsp;destinationDir)</code>
<div class="block">Sets the destination directory to install the executable via a <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#setExecutable(java.io.File)">setExecutable</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;executable)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#setExecutable(org.gradle.api.provider.Provider)">setExecutable</a></strong>(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a>&gt;&nbsp;executable)</code>
<div class="block">Sets the executable to install via a <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#setLibs(org.gradle.api.file.FileCollection)">setLibs</a></strong>(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;libs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#setPlatform(org.gradle.nativeplatform.platform.NativePlatform)">setPlatform</a></strong>(<a href="../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a>&nbsp;platform)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#setToolChain(org.gradle.platform.base.ToolChain)">setToolChain</a></strong>(<a href="../../../../org/gradle/platform/base/ToolChain.html" title="interface in org.gradle.platform.base">ToolChain</a>&nbsp;toolChain)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="InstallExecutable(org.gradle.internal.work.WorkerLeaseService)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>InstallExecutable</h4>
<pre>@Inject
public&nbsp;InstallExecutable(org.gradle.internal.work.WorkerLeaseService&nbsp;workerLeaseService)</pre>
<div class="block">Injects a <code>WorkerLeaseService</code> instance.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getToolChain()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToolChain</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../org/gradle/platform/base/ToolChain.html" title="interface in org.gradle.platform.base">ToolChain</a>&nbsp;getToolChain()</pre>
<div class="block">The tool chain used for linking.</div>
</li>
</ul>
<a name="setToolChain(org.gradle.platform.base.ToolChain)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setToolChain</h4>
<pre>public&nbsp;void&nbsp;setToolChain(<a href="../../../../org/gradle/platform/base/ToolChain.html" title="interface in org.gradle.platform.base">ToolChain</a>&nbsp;toolChain)</pre>
</li>
</ul>
<a name="getPlatform()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlatform</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a>&nbsp;getPlatform()</pre>
<div class="block">The platform describing the install target.</div>
</li>
</ul>
<a name="setPlatform(org.gradle.nativeplatform.platform.NativePlatform)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlatform</h4>
<pre>public&nbsp;void&nbsp;setPlatform(<a href="../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform">NativePlatform</a>&nbsp;platform)</pre>
</li>
</ul>
<a name="getInstallDirectory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstallDirectory</h4>
<pre><a href="../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks">@OutputDirectory</a>
public&nbsp;<a href="../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file">DirectoryVar</a>&nbsp;getInstallDirectory()</pre>
<div class="block">The directory to install files into.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd></dl>
</li>
</ul>
<a name="getDestinationDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestinationDir</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getDestinationDir()</pre>
</li>
</ul>
<a name="setDestinationDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDestinationDir</h4>
<pre>public&nbsp;void&nbsp;setDestinationDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;destinationDir)</pre>
</li>
</ul>
<a name="setDestinationDir(org.gradle.api.provider.Provider)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDestinationDir</h4>
<pre>public&nbsp;void&nbsp;setDestinationDir(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a>&gt;&nbsp;destinationDir)</pre>
<div class="block">Sets the destination directory to install the executable via a <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>destinationDir</code> - the destination directory provider to use</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#setDestinationDir(java.io.File)"><code>setDestinationDir(File)</code></a></dd></dl>
</li>
</ul>
<a name="getSourceFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceFile</h4>
<pre><a href="../../../../org/gradle/api/tasks/InputFile.html" title="annotation in org.gradle.api.tasks">@InputFile</a>
public&nbsp;<a href="../../../../org/gradle/api/file/RegularFileVar.html" title="interface in org.gradle.api.file">RegularFileVar</a>&nbsp;getSourceFile()</pre>
<div class="block">The executable file to install.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd></dl>
</li>
</ul>
<a name="getExecutable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExecutable</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getExecutable()</pre>
</li>
</ul>
<a name="setExecutable(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExecutable</h4>
<pre>public&nbsp;void&nbsp;setExecutable(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;executable)</pre>
</li>
</ul>
<a name="setExecutable(org.gradle.api.provider.Provider)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExecutable</h4>
<pre>public&nbsp;void&nbsp;setExecutable(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;? extends <a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a>&gt;&nbsp;executable)</pre>
<div class="block">Sets the executable to install via a <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>executable</code> - the executable provider to use</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html#setExecutable(java.io.File)"><code>setExecutable(File)</code></a></dd></dl>
</li>
</ul>
<a name="getLibs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLibs</h4>
<pre><a href="../../../../org/gradle/api/tasks/InputFiles.html" title="annotation in org.gradle.api.tasks">@InputFiles</a>
public&nbsp;<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getLibs()</pre>
<div class="block">The library files that should be installed.</div>
</li>
</ul>
<a name="setLibs(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLibs</h4>
<pre>public&nbsp;void&nbsp;setLibs(<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;libs)</pre>
</li>
</ul>
<a name="lib(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lib</h4>
<pre>public&nbsp;void&nbsp;lib(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;libs)</pre>
<div class="block">Adds a set of library files to be installed. The provided libs object is evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.</div>
</li>
</ul>
<a name="getRunScript()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunScript</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getRunScript()</pre>
<div class="block">Returns the script file that can be used to run the install image.</div>
</li>
</ul>
<a name="getFileSystem()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileSystem</h4>
<pre>@Inject
protected&nbsp;org.gradle.internal.nativeintegration.filesystem.FileSystem&nbsp;getFileSystem()</pre>
</li>
</ul>
<a name="getFileOperations()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileOperations</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.file.FileOperations&nbsp;getFileOperations()</pre>
</li>
</ul>
<a name="install()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>install</h4>
<pre>public&nbsp;void&nbsp;install()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/nativeplatform/tasks/CreateStaticLibrary.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/nativeplatform/tasks/LinkExecutable.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/nativeplatform/tasks/InstallExecutable.html" target="_top">Frames</a></li>
<li><a href="InstallExecutable.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
